Skip To Content

ArcGIS Web Adaptor 10.6 system requirements

The system and hardware requirements required to run ArcGIS Web Adaptor are listed below. For information about earlier versions, see Esri Support.

It's recommended that you review the deprecation notice to determine if your hardware and software components are still compatible with version 10.6.

Application/web server and operating system requirements

The following application/web servers are supported on these operating systems:

  • Apache Tomcat 7.0.82, 8.0.47, and 8.5.23
  • GlassFish 4.1.1
  • IBM WebSphere 8.5.5.9 and 9
  • JBoss Enterprise Application Platform 7
  • Oracle WebLogic 12c R1 and R2

Future updates on these application/web servers are supported unless otherwise stated.

Supported operating systemsLatest update or service pack tested

Red Hat Enterprise Linux Server 7

Update 4

Red Hat Enterprise Linux Server 6

Update 9

SUSE Linux Enterprise Server 12

Service Pack 2

SUSE Linux Enterprise Server 11

Service Pack 4

Ubuntu Server LTS

16.04.3

Prior and future updates or service packs on these operating systems are supported unless otherwise stated. The operating system and updates must also be supported by the application/web server provider.

Tip:

If you want to install the software using the operating system graphical user interface (GUI), the X Window System package group is required.

Note:

Esri Technical Support is available for CentOS, Scientific Linux, and Oracle Linux versions that provide full binary compatibility with an equivalent supported Red Hat version. As a prerequisite for logging a defect, any software issue on these operating systems will be attempted to be reproduced on Red Hat Enterprise Linux. For Oracle Linux, support is predicated on the use of the Red Hat compatible kernel.

Temp space requirements

By default, resources are extracted to the system /tmp directory. If the required space is not available in the /tmp directory, the setup program will attempt to extract resources to the user's HOME directory. If the required space is not available in the user's HOME directory, the setup program will report an error indicating this problem. Optionally, you can specify an alternate temp location by setting the IATEMPDIR environment variable.

Java support

ArcGIS Web Adaptor supports Java 8.x. Java 6.x and 7.x are not supported.

Legacy:

In earlier versions, ArcGIS Web Adaptor supported Java 6.x. At 10.4, ArcGIS Web Adaptor supported Java 7.x and 8.x. Beginning at 10.5, ArcGIS Web Adaptor only supports 8.x.